#include "DomainProperties.h"

#include "CppMutexFct.h"

namespace coral { namespace SQLiteAccess {

DomainProperties::DomainProperties( coral::Service* service )
  : m_service( service )
  , m_mutex( new pmutex_t )
{
  initMutex(m_mutex);
}


DomainProperties::~DomainProperties()
{
  delete m_mutex;
}

} }
